unit softrenderfrm;

interface

uses
  SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dx_scene, dx_ani, dx_objects, dx_vgcore, dx_vglayer, dx_mesa,
  ExtCtrls, dx_controls, dx_dynamics;

type
  TForm3 = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    Light1: TdxLight;
    GUIObjectLayer1: TdxGUIObjectLayer;
    Root2: TvxLayout;
    Rectangle1: TvxRectangle;
    Text1: TvxText;
    FloatAnimation2: TdxFloatAnimation;
    Timer1: TTimer;
    Text2: TvxText;
    Button1: TvxButton;
    Text3D1: TdxText3D;
    Text3D2: TdxText3D;
    FloatAnimation1: TdxFloatAnimation;
    RoundCube1: TdxRoundCube;
    RoundCube2: TdxRoundCube;
    Plane1: TdxPlane;
    Dummy1: TdxDummy;
    FloatAnimation3: TdxFloatAnimation;
    ParticleEmitter1: TdxParticleEmitter;
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

{ TForm3 }

constructor TForm3.Create(AOwner: TComponent);
begin
  // Set as Default Renderer - before any DXScene object created - add dx_mesa to uses section
  dx_scene.DefaultCanvasClass := TdxMesaCanvas;
  inherited;
end;

procedure TForm3.Timer1Timer(Sender: TObject);
begin
  Text2.Text := vgFloatToStr(dxScene1.Fps);
end;

procedure TForm3.Button1Click(Sender: TObject);
begin
  Application.Terminate;
end;

end.
